#ifndef COPERATIONFACOTRY_H
#define COPERATIONFACOTRY_H

#include "libboxmanage_global.h"

class QWidget;
namespace Box {

class COperation;
class LIBBOXMANAGE_EXPORT COperationFactory
{
public:
    COperationFactory();
    virtual ~COperationFactory();

public:
    typedef enum {
        ApplyCryptBoxOprInPeony = 0,
        ReleaseCryptBoxOprInPeony = 1,
        CreateBoxOprInPeony = 2,
        DeleteBoxOprInPeony = 3,
        ReleaseLockBoxInOprPeony = 4,
        RenameBoxOprInPeony = 5,
        SettingBoxOprInPeony = 6,
        LockBoxOprInPeony = 7,
        RenameBoxOprInManager = 8,
        AuthCred = 9,
        MaxOpr,
    }EOperation;

public:
    COperation *construct_operation(EOperation eOpr, QWidget *parent = nullptr);
};

}

#endif // COPERATIONFACOTRY_H
